net.dontdrinkandroot.jung.algorithms.scoring

## Class VertexScorer<V>

- java.lang.Object
- - net.dontdrinkandroot.jung.algorithms.scoring.VertexScorer<V>

    public class VertexScorer<V>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`VertexScorer()`

### Method Summary

Methods
`void` `add(V vertex, Double score)`
`Map<V,Double>` `getVertexScores()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VertexScorer

    public VertexScorer()

### Method Detail

#### add

    public final void add(V vertex,
           Double score)

#### getVertexScores

    public Map<V,Double> getVertexScores()